Package io.vertx.micrometer

## Enum MetricsDomain

- java.lang.Object
- - java.lang.Enum<MetricsDomain>
  - - io.vertx.micrometer.MetricsDomain

- All Implemented Interfaces:
    `Serializable`, `Comparable<MetricsDomain>`

      public enum MetricsDomain
      extends Enum<MetricsDomain>

  Metric domains with their associated prefixes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATAGRAM_SOCKET` | Datagram socket metrics.
    `EVENT_BUS` | Event bus metrics.
    `HTTP_CLIENT` | Http client metrics.
    `HTTP_SERVER` | Http server metrics.
    `NAMED_POOLS` | Named pools metrics.
    `NET_CLIENT` | Net client metrics.
    `NET_SERVER` | Net server metrics.
    `VERTICLES` | Verticle metrics.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPrefix()` |
    `String` | `toCategory()` |
    `static MetricsDomain` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MetricsDomain[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NET_SERVER

          public static final MetricsDomain NET_SERVER

      Net server metrics.

    - #### NET_CLIENT

          public static final MetricsDomain NET_CLIENT

      Net client metrics.

    - #### HTTP_SERVER

          public static final MetricsDomain HTTP_SERVER

      Http server metrics.

    - #### HTTP_CLIENT

          public static final MetricsDomain HTTP_CLIENT

      Http client metrics.

    - #### DATAGRAM_SOCKET

          public static final MetricsDomain DATAGRAM_SOCKET

      Datagram socket metrics.

    - #### EVENT_BUS

          public static final MetricsDomain EVENT_BUS

      Event bus metrics.

    - #### NAMED_POOLS

          public static final MetricsDomain NAMED_POOLS

      Named pools metrics.

    - #### VERTICLES

          public static final MetricsDomain VERTICLES

      Verticle metrics.

  - ### Method Detail

    - #### values

          public static MetricsDomain[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricsDomain c : MetricsDomain.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricsDomain valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPrefix

          public String getPrefix()

    - #### toCategory

          public String toCategory()